Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ConnectedTest Class Reference
[Graph_test]

`#include <ConnectedTest.h>`

Inherits tlp::GraphObserver.

Inheritance diagram for tlp::ConnectedTest:

[legend]
Collaboration diagram for tlp::ConnectedTest:

[legend]
List of all members.

## Detailed Description

class for testing if the graph is connected

## Static Public Member Functions

- static bool isConnected (Graph *graph)
- static void makeConnected (Graph *graph, std::vector< edge > &addedEdges)
- static unsigned int numberOfConnectedComponents (Graph *graph)
- static void computeConnectedComponents (Graph *graph, std::vector< std::set< node > > &components)

## Member Function Documentation

static bool tlp::ConnectedTest::isConnected | ( | Graph * | graph | ) | `[static]`

| Returns true if the graph is connected (ie. it exists an undirected path between each pair of nodes) else false.

Tulip Software by LaBRI Visualization Team 2001 - 2010